1. reubenn's Avatar
    Hello,

    I am faced with a frustrating problem. When I tried to update my iPhone 4 to iOS 5, I always faced this issue. I am getting an error in itunes when trying to upgrade to 5.0.1. The popup says "The iPhone 'Reuben's Phone' could not be updated. The device isn't eligible for the requested build."

    How is this possible?
    I have an iPhone 4 with Telus on 5.0
    MacBook Pro 2011 with Lion.
    Everything is updated.

    Please help, thanks!
    11-12-2011 01:41 PM
  2. sicario666's Avatar
    Check your firewalls. Computer and router.
    11-12-2011 03:35 PM
  3. Massie's Avatar
    Have you tried doing it over the air? Settings>General>Software Update
    11-12-2011 03:45 PM
  4. chobbs1's Avatar
    Do you also have the latest iTunes??


    Sent from my iPhone using Tapatalk
    11-13-2011 02:50 AM
LINK TO POST COPIED TO CLIPBOARD